Package com.google.earth.kml._2

# Class StyleMapType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.StyleSelectorType
com.google.earth.kml._2.StyleMapType

public class StyleMapType extends StyleSelectorType
<p>Java class for StyleMapType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="StyleMapType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}StyleSelectorType"> <sequence> <element name="Pair" type="{http://earth.google.com/kml/2.1}StyleMapPairType" maxOccurs="unbounded"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<StyleMapPairType>`
  `pair`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StyleMapType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<StyleMapPairType>`
  `getPair()`
  Gets the value of the pair property.

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### pair

    protected List<StyleMapPairType> pair

- ## Constructor Details

  - ### StyleMapType

    public StyleMapType()

- ## Method Details

  - ### getPair

    public List<StyleMapPairType> getPair()
    Gets the value of the pair property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the pair property.

    For example, to add a new item, do as follows:

         getPair().add(newItem);

    Objects of the following type(s) are allowed in the list `StyleMapPairType`

    Returns:
      The value of the pair property.